package com.mudchobo.guestbook.controller;

import java.sql.Timestamp;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.validation.BindException;
import org.springframework.web.servlet.ModelAndView;
import org.springframework.web.servlet.mvc.SimpleFormController;
import org.springframework.web.servlet.view.RedirectView;

import com.mudchobo.guestbook.logic.GuestbookManager;
import com.mudchobo.guestbook.logic.GuestbookWrite;
import com.mudchobo.guestbook.vo.GuestbookVO;

public class WriteController extends SimpleFormController {

	private GuestbookManager guestbookManager;

	@Override
	protected ModelAndView onSubmit(HttpServletRequest request,
			HttpServletResponse response, Object command, BindException errors)
			throws Exception {
		GuestbookVO guestbookVO = new GuestbookVO();
		
		guestbookVO.setName(((GuestbookWrite)command).getName());
		guestbookVO.setSubject(((GuestbookWrite)command).getSubject());
		guestbookVO.setContent(((GuestbookWrite)command).getContent());
		guestbookVO.setIp(request.getRemoteAddr());
		guestbookVO.setDatetime(new Timestamp(System.currentTimeMillis()));
		
		guestbookManager.writeGuestbook(guestbookVO);
		
		return new ModelAndView(new RedirectView(getSuccessView()));
	}

	public GuestbookManager getGuestbookManager() {
		return guestbookManager;
	}

	public void setGuestbookManager(GuestbookManager guestbookManager) {
		this.guestbookManager = guestbookManager;
	}
	
}
