package com.mudchobo.guestbook.db;

import java.util.List;

import javax.sql.DataSource;

import org.springframework.jdbc.core.JdbcTemplate;

import com.mudchobo.guestbook.vo.GuestbookVO;

public class GuestbookManagerDaoJdbc implements GuestbookManagerDao {

	private DataSource dataSource;
	private JdbcTemplate jdbcTemplate;
	
	public void setDataSource(DataSource ds) {
		this.dataSource = ds;
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<GuestbookVO> getContents() {
		
		jdbcTemplate = new JdbcTemplate(dataSource);
		String query = "SELECT no, name, subject, content, ip, datetime FROM guestbook ORDER BY no DESC";
		
		List<GuestbookVO> contentslist = (List<GuestbookVO>)jdbcTemplate.queryForList(query);
		
		return contentslist;
	}

	@Override
	public void writeGuestbook(GuestbookVO guestbookVO) {
		jdbcTemplate = new JdbcTemplate(dataSource);
		String query = "INSERT INTO guestbook (name, subject, content, ip, datetime) " +
						"VALUES (?, ?, ?, ?, ?)";
		
		Object[] params = new Object[] { guestbookVO.getName(),
										guestbookVO.getSubject(),
										guestbookVO.getContent(),
										guestbookVO.getIp(),
										guestbookVO.getDatetime() };
		
		jdbcTemplate.update(query, params);
	}
	
	@Override
	public void deleteGuestbook(int no) {
	}
}
